This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 513901 - ibus-table setup does not store config settings
ibus-table setup does not store config settings
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: ibus-table (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Mike FABIAN
Fedora Extras Quality Assurance
: FutureFeature, i18n, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-07-26 21:41 EDT by Jens Petersen
Modified: 2013-01-23 11:14 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-01-23 11:14:06 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jens Petersen 2009-07-26 21:41:27 EDT
Description of problem:
ibus-table config is not using gconf to store configuration settings.

Steps to Reproduce:
1. change ibus-table config
2. restart desktop
3. use ibus-table
  
Actual results:
configuration lost

Expected results:
configuration to persist
Comment 1 Bug Zapper 2009-11-16 06:07:47 EST
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Fedora Admin XMLRPC Client 2010-07-14 20:20:21 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 3 Bug Zapper 2010-11-04 06:41:03 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Jens Petersen 2010-11-18 22:24:25 EST
No change I believe.

Is there anything or what is there to save?
Would it be a useful feature?
Comment 5 Jens Petersen 2011-01-07 04:08:34 EST
ping?
Comment 6 Caius Chance 2012-06-25 20:12:41 EDT
phuang once suggested me to install ibus-gnome to have settings able to be saved. The info was for previous version of Fedora and ibus, so I think the package names / steps are different now. AFAIR ibus needs gconf registries to store settings.
Comment 7 Caius Chance 2012-06-25 20:16:25 EDT
The solution of adding ibus-gnome (or similar) packages as dependency of ibus, was not welcomed by those who dislikes gconf/gnome in their gnome-free systems.
Comment 8 fujiwara 2012-06-25 23:38:46 EDT
Fedora 17 or later uses ibus 1.5. (ibus 1.4.99).
The definition of ibus_config_set_value() was changed.
The argument needs to be GVariant but ibus-table tries to send the raw values which were used in old ibus python.

# grep set_value /usr/share/ibus-table/engine/table.py
        self._config.set_value (
            self._config.set_value( self._config_section,
...

So ibus-table needs to be modified to support ibus 1.5.


E.g. ibus-anthy converts the raw values to GLib.Variant values:
https://github.com/ibus/ibus-anthy/blob/e835629a970eb788f773038c6fc05aaf3bfc7835/setup/prefs.py#L161

http://code.google.com/p/ibus/downloads/list
The numbers 1.3, 1.4... are supported ibus versions.
Comment 9 fujiwara 2012-06-25 23:49:51 EDT
(In reply to comment #8)
> Fedora 17 or later uses ibus 1.5. (ibus 1.4.99).
> The definition of ibus_config_set_value() was changed.

The get_value() is also changed. Now it returns GVariant value.

Also I noticed ibus-table uses set_icon() for ibus panel menu but icon menus are not enabled in GNOME GtkStatusIcon by default.
So probably it's good to call set_label too:

E.g.

--- /usr/share/ibus-table/engine/table.py.orig
+++ /usr/share/ibus-table/engine/table.py
@@ -994,9 +994,11 @@ class tabengine (ibus.EngineBase):
 
         if self._full_width_letter[self._mode]:
             self._letter_property.set_icon ( u'%s%s' % (self._icon_dir, 'full-letter.svg') )
+            self._letter_property.set_label ( u'%s' % _("Full") )
             self._letter_property.set_tooltip ( _(u'Switch to half-width letter') )
         else:
             self._letter_property.set_icon ( u'%s%s' % (self._icon_dir, 'half-letter.svg') )
+            self._letter_property.set_label ( u'%s' % _("Half") )
             self._letter_property.set_tooltip ( _(u'Switch to full-width letter') )
 
         if self._full_width_punct[self._mode]:
Comment 10 Mike FABIAN 2012-12-06 03:20:11 EST
Actually the saving of the property options already works 
both in f17 and f18. I.e. this bug has been fixed long ago already.

Nevertheless it makes sense to migrate the code to use
the new pygobject3 API Fujiwaras San recommends to do this in comment#8.

I’ll try to do that.
Comment 11 Mike FABIAN 2013-01-10 01:58:16 EST
I ported to the GOpbjectIntrospection API as suggested:

https://github.com/kaio/ibus-table/commit/526b8cf4e395dd8c6333b3ed4185596b1196fad8
Comment 12 Fedora Update System 2013-01-10 11:48:02 EST
ibus-table-1.4.99.20130110-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/ibus-table-1.4.99.20130110-1.fc18
Comment 13 Fedora Update System 2013-01-10 12:44:57 EST
ibus-table-1.4.99.20130110-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/ibus-table-1.4.99.20130110-1.fc17
Comment 14 Fedora Update System 2013-01-10 16:30:02 EST
Package ibus-table-1.4.99.20130110-1.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing ibus-table-1.4.99.20130110-1.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-0586/ibus-table-1.4.99.20130110-1.fc18
then log in and leave karma (feedback).
Comment 15 Fedora Update System 2013-01-23 11:14:10 EST
ibus-table-1.4.99.20130110-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 16 Fedora Update System 2013-01-23 11:14:53 EST
ibus-table-1.4.99.20130110-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.